<?php
/**
 * Day Calendar page html
 *
 *
 * @var array  $args
 * @var string $view
 * @var string $date
 * @var string $time_step
 * @var string $start_time
 */
!defined( 'YITH_WCBK' ) && exit; // Exit if accessed directly

$show_externals = 'yes' === get_option( 'yith-wcbk-external-calendars-show-externals-in-calendar', 'no' );

// translate the time step
$strtotime_time_step = str_replace( 'h', ' hours', $time_step );
$strtotime_time_step = str_replace( 'm', ' minutes', $strtotime_time_step );
$strtotime_time_step = '+' . $strtotime_time_step;
?>

<div id="yith-wcbk-booking-calendar-wrap">
    <?php
    $this->print_action_bar( $args );
    ?>
    <table class="yith-wcbk-booking-calendar yith-wcbk-booking-calendar-day">
        <thead>
        <tr>
            <th class="yith-wcbk-booking-calendar-day-time"></th>
            <th></th>
        </tr>
        </thead>

        <tbody>
        <?php
        $timestamp     = strtotime( "$date $start_time" );
        $end_timestamp = strtotime( "+1 day midnight", $timestamp ) - 1;

        // All Day Bookings
        ?>
        <tr>
            <td class="yith-wcbk-booking-calendar-day-time"><?php _e( 'All Day', 'yith-booking-for-woocommerce' ) ?></td>
            <td class="yith-wcbk-booking-calendar-day-container">
                <div class="bookings">
                    <?php
                    $bookings = YITH_WCBK_Booking_Helper()->get_bookings_in_time_range( $timestamp, $end_timestamp, array( 'month', 'day' ), $show_externals );
                    include( 'html-booking-calendar-booking-list.php' );
                    ?>
                </div>
            </td>
        </tr>
        <?php

        // Hourly Bookings
        $index              = 0;
        while ( $timestamp <= $end_timestamp ) :
            $hour_html = date( 'H:i', $timestamp );
            $next_timestamp = strtotime( $strtotime_time_step, $timestamp );
            $index++;
            ?>
            <tr>
                <td class="yith-wcbk-booking-calendar-day-time"><?php echo $hour_html ?></td>
                <td class="yith-wcbk-booking-calendar-day-container">
                    <div class="bookings">
                        <?php
                        $bookings = YITH_WCBK_Booking_Helper()->get_bookings_in_time_range( $timestamp, $next_timestamp - 1, array( 'hour', 'minute' ), $show_externals );
                        include( 'html-booking-calendar-booking-list.php' );
                        ?>
                    </div>
                </td>
            </tr>
            <?php $timestamp = $next_timestamp; ?>
        <?php endwhile; ?>
        </tbody>
    </table>

</div>
